Name:           perl-GraphViz2
Version:        2.47
Release:        8%{?dist}
Summary:        GraphViz2 Perl module
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/GraphViz2/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/GraphViz2-%{version}.tgz

BuildArch:      noarch
# build deps
BuildRequires:  graphviz
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl
# runtime deps
BuildRequires:  perl(Algorithm::Dependency)
BuildRequires:  perl(Algorithm::Dependency::Source::HoA)
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Class::ISA)
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(Config)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(DBIx::Admin::TableInfo)
BuildRequires:  perl(Data::Section::Simple)
BuildRequires:  perl(Date::Simple)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTML::Entities::Interpolate)
BuildRequires:  perl(HTML::TreeBuilder) >= 4.2
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(Lingua::EN::PluralToSingular)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Set::Array)
BuildRequires:  perl(Text::Xslate)
BuildRequires:  perl(Tree::DAG_Node)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(XML::Tiny)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# test deps
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Log::Handler)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.48
BuildRequires:  perl(XML::Bare)
BuildRequires:  perl(charnames)
BuildRequires:  perl(open)
BuildRequires:  perl(parent)
BuildRequires:  perl(utf8)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides a Perl interface to the amazing Graphviz, an open
source graph visualization tool from AT&T. It is called GraphViz2 so
that pre-existing code using (the Perl module) GraphViz continues to work.

%prep
%setup -q -n GraphViz2-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changelog.ini Changes README
%license LICENSE
%{perl_vendorlib}/GraphViz2*
%{_mandir}/man3/GraphViz2*

%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.47-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.47-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 2.47-6
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.47-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.47-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 2.47-3
- Perl 5.28 rebuild

* Tue Jun 19 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 2.47-2
- Take into account review comments (#1592136)

* Thu Apr 12 2018 Emmanuel Seyman <emmanuel@seyman.fr> - 2.47-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
